Subject: [alto] Fwd: New Version Notification for draft-marocco-alto-problem-statement-04

From: Eric Burger <[email-masked]>
Date: Thu, 5 Feb 2009 15:34:31 -0500

This draft is an update to the problem statement that Enrico and Vijay  
wrote.  Jan and I think it addresses the basic issues raised during  
the BOF and first WG meetings. Of course, we are sure you will find  
something to comment on.

One issue that we made an arbitrary change on is there used to be a  
distinction between an application that used an external Resource  
Directory and an application that directly calculated where resources  
live.  We decided to make the Resource Directory a logical entity.   
This leaves open the ability to create implementations that combine  
the client with something that finds resources. The IETF describes how  
logical elements communicate.  Moreover, we do not dictate  
implementation architectures.  One may combine or distribute logical  
elements however you wish.

If you feel strongly that we need to define the Resource Directory as  
a physical box, say so on the list.  Be sure to include your rationale.

To save on search time, here is the direct URL to the draft:
http://tools.ietf.org/html/draft-marocco-alto-problem-statement-04

Begin forwarded message:

> From: IETF I-D Submission Tool <[email-masked]>
> Date: February 5, 2009 11:02:06 AM EST
> To: [email-masked]
> Cc: [email-masked]
> Subject: New Version Notification for  draft-marocco-alto-problem- 
> statement-04
>
>
> A new version of I-D, draft-marocco-alto-problem-statement-04.txt  
> has been successfuly submitted by Jan Seedorf and posted to the IETF  
> repository.
>
> Filename:	 draft-marocco-alto-problem-statement
> Revision:	 04
> Title:		 Application-Layer Traffic Optimization (ALTO) Problem  
> Statement
> Creation_date:	 2009-02-05
> WG ID:		 Independent Submission
> Number_of_pages: 13
>
> Abstract:
> Peer-to-peer applications, such as file sharing, real-time
> communication, and live media streaming, use a significant amount of
> Internet resources.  Such applications often transfer large amounts
> of data in direct peer-to-peer connections.  However, they usually
> have little knowledge of the underlying network topology.  As a
> result, they may choose their peers based on measurements and
> statistics that, in many situations, may lead to suboptimal choices.
> This document describes problems related to optimizing traffic
> generated by peer-to-peer applications and associated issues such
> optimizations raise in the use of network-layer information.
>
>
>
> The IETF Secretariat.
>
>